.cookie-notification-wrapper {
    --base-color: #0d2dff;
}

.cookie-notification-wrapper {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 160;
    opacity: 0;
    visibility: hidden;
}

.cookie-notification-wrapper.blocked {
    top: 0;
    background-color: rgba(0, 0, 0, 0.75);
}

.cookie-notification-wrapper.blocked .cookie-notification {
    position: absolute;
    bottom: 0;
}

.cookie-notification-wrapper.visible {
    opacity: 1;
    visibility: visible;
}

.cookie-notification-transition {
    transition: all 0.3s ease;
}

.cookie-notification-transition-start {
    transform: scale(0.8);
}

.cookie-notification {
    padding: 16px 30px;
    background-color: #EFEFEF;
    box-shadow: 5px 0px 15px 0px rgba(0, 0, 0, 0.25);
    left: 0;
    right: 0;
    margin-left: auto;

}

.cookie-notification-wrap{
    max-width: 1600px;
    margin: 0 auto;
}

.cookie-notification__form-control {
    padding: 16px 20px;
    border: 1px solid #e4e4e4;
    border-radius: 2px;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.cookie-notification__checkbox {
    display: flex;
}

.cookie-notification__checkbox-label {
    display: flex;
    gap: 8px;
    align-items: center;
    cursor: pointer;
    transition: color 0.3s;
    position: relative;
    border-radius: 1px;
    background-color: #fff;
}

.cookie-notification__checkbox-label:before {
    position: relative;
    left: 0;
    top: 0;
    display: block;
    box-sizing: border-box;
    width: 20px;
    height: 20px;
    content: "";
    user-select: none;
    transition: box-shadow 0.2s, border 0.2s;
    border: 1px solid #e4e4e4;
    border-radius: 1px;
    background-color: #fbfbfb;
    background-repeat: no-repeat;
    background-position: 50% 100%;
    background-size: contain;
    background-color: #fff;
    flex: 0 0 auto;
}

.cookie-notification__checkbox input:checked + .cookie-notification__checkbox-label:before {
    background-color: var(--base-color);
    background-image: url("data:image/svg+xml,%3Csvg width='11' height='9' viewBox='0 0 11 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M2.08205 3.3203C1.7757 2.86077 1.15483 2.7366 0.6953 3.04295C0.235771 3.3493 0.111597 3.97017 0.41795 4.4297L2.08205 3.3203ZM10.2894 2.23894C10.6284 1.80299 10.5499 1.17472 10.1139 0.835648C9.67799 0.496578 9.04972 0.575112 8.71065 1.01106L10.2894 2.23894ZM5.1018 7.27983L4.31244 6.66589L5.1018 7.27983ZM0.41795 4.4297L2.64834 7.77529L4.31244 6.66589L2.08205 3.3203L0.41795 4.4297ZM5.89115 7.89377L10.2894 2.23894L8.71065 1.01106L4.31244 6.66589L5.89115 7.89377ZM2.64834 7.77529C3.40557 8.91114 5.05305 8.97133 5.89115 7.89377L4.31244 6.66589L4.31244 6.66589L2.64834 7.77529Z' fill='%23FAFAFB'/%3E%3C/svg%3E%0A");
    background-size: auto;
    background-position: center;
    border-color: var(--base-color);
}

.cookie-notification__checkbox input:checked:disabled + .cookie-notification__checkbox-label:before {
    background-color: rgba(224, 224, 224, 0.7);
    background-size: auto;
    background-position: center;
    border-color: rgba(224, 224, 224, 0.7);
}

.cookie-notification__title {
    font-size: 22px;
    font-weight: 600;
}

.cookie-notification__checkbox input {
    position: absolute;
    top: 0;
    left: 0;
    visibility: hidden;
    opacity: 0;
    width: 2px;
    height: 2px;
}

.cookie-notification__settings {
    margin-left: auto;
    border-bottom: 1px solid #000;
    display: none!important;
}

.cookie-notification__settings.hidden {
    display: none;
}

.cookie-notification__settings:hover {
    border-color: transparent;
    cursor: pointer;
}

.cookie-notification__inner {
    display: flex;
    gap: 12px 40px;
}
.cookie-notification__header {
    font-size: 12px;
    color: #707070;
}

.cookie-notification__footer {
    display: flex;
    gap: 18px;
    align-items: center;
    margin-left: auto;
}

.cookie-notification__footer .btn--wide {
    width: auto;
}

.cookie-notification__left {
    margin-left: auto;
}

.cookie-notification__flex {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-top: 20px;
}

.cookie-notification__control {
    padding: 4px 12px;
    color: #fff;
    border: 1px solid transparent;
    transition: all 0.3s ease;
}

.cookie-notification__control--approve {
    background-color: var(--base-color);
    border-color: var(--base-color);
    color: #fff;
    border-radius: 5px;
    font-size: 14px;
}

.cookie-notification__control--cancel {
    color: #2B2A29;
    text-decoration: underline;
    background-color: transparent;
    padding: 0;
}

.cookie-notification__mini {
    color: #969696;
}

.cookie-notification__header.hidden {
    display: none;
}

.cookie-notification__body {
    display: none;
    max-height: 85vh;
    overflow: auto;
}

.cookie-notification__body.visible {
    display: block;
}

@media print {
    .cookie-notification {
        display: none;
    }
}

@media (max-width: 1099px) {
    .cookie-notification {
        padding: 20px 18px;
    }

    .cookie-notification__checkbox {
        padding: 14px;
    }
}

@media (max-width: 575px) {
    .cookie-notification{
        padding: 12px 16px;
    }
    .cookie-notification__flex {
        gap: 10px;
        margin-top: 16px;
    }

    .cookie-notification__inner {
        gap: 14px;
        flex-direction: column;
    }

    .cookie-notification__header {
        font-size: 10px;
    }
    .cookie-notification__footer {
        gap: 15px;
        margin-left: 0;
    }

    .cookie-notification .btn {
        font-size: 12px;
    }

    .cookie-notification .btn:not(.btn--border) {
        padding-left: 16px;
        padding-right: 16px;
    }

    .cookie-notification__checkboxinput:checked ~ label:before {
        background-image: url("data:image/svg+xml,%3Csvg width='9' height='7' viewBox='0 0 9 7' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.08325 3.125L2.64698 5.47059C3.02559 6.03851 3.84933 6.06861 4.26838 5.52983L7.49992 1.375' stroke='%23FAFAFB' stroke-width='2' stroke-linecap='round'/%3E%3C/svg%3E%0A");
    }
}

@media (hover: hover) {
    .cookie-notification__control:hover {
        cursor: pointer;
        opacity: 0.7;
    }
}
